package com.ruoyi.voluntary.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.TreeEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 位置编码对象 b_sys_locations
 * 
 * @author mingxue
 * @date 2021-06-12
 */
public class SysLocations extends TreeEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 编码 */
    @Excel(name = "编码")
    private String code;

    /** 名称 */
    @Excel(name = "名称")
    private String name;

    /** 简称 */
    @Excel(name = "简称")
    private String sname;

    /** 英文名 */
    @Excel(name = "英文名")
    private String ename;

    /** 英文简写 */
    @Excel(name = "英文简写")
    private String sename;

    /** 优先级 */
    @Excel(name = "优先级")
    private Integer priority;

    /** 级层(1:省/直辖市,2:市,3:县/区) */
    @Excel(name = "级层(1:省/直辖市,2:市,3:县/区)")
    private Integer level;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setCode(String code) 
    {
        this.code = code;
    }

    public String getCode() 
    {
        return code;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setSname(String sname) 
    {
        this.sname = sname;
    }

    public String getSname() 
    {
        return sname;
    }
    public void setEname(String ename) 
    {
        this.ename = ename;
    }

    public String getEname() 
    {
        return ename;
    }
    public void setSename(String sename) 
    {
        this.sename = sename;
    }

    public String getSename() 
    {
        return sename;
    }
    public void setPriority(Integer priority) 
    {
        this.priority = priority;
    }

    public Integer getPriority() 
    {
        return priority;
    }
    public void setLevel(Integer level) 
    {
        this.level = level;
    }

    public Integer getLevel() 
    {
        return level;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("code", getCode())
            .append("name", getName())
            .append("sname", getSname())
            .append("ename", getEname())
            .append("sename", getSename())
            .append("parentid", getParentId())
            .append("priority", getPriority())
            .append("level", getLevel())
            .toString();
    }
}
